### Enumeration

# WebKit XRSessionFeatures

since: 2.52

#### Declaration

    flags WebKit.XRSessionFeatures

#### Description [src]

Enum values representing the XR session features.

See https://immersive-web.github.io/webxr/#xrreferencespace-interface. And, see https://immersive-web.github.io/webxr-hand-input/ for hand tracking.

Available since: 2.52

#### Members

`WEBKIT_XR_SESSION_FEATURES_VIEWER`

  Viewer feature.

  - Value: `1`
  - Nickname: `viewer`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_LOCAL`

  Local feature.

  - Value: `2`
  - Nickname: `local`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_LOCAL_FLOOR`

  Local-floor feature.

  - Value: `4`
  - Nickname: `local-floor`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_BOUNDED_FLOOR`

  Bounded-floor feature.

  - Value: `8`
  - Nickname: `bounded-floor`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_UNBOUNDED`

  Unbounded feature.

  - Value: `16`
  - Nickname: `unbounded`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_HAND_TRACKING`

  Hand tracking feature.

  - Value: `32`
  - Nickname: `hand-tracking`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_HIT_TEST`

  Hit test feature.

  - Value: `64`
  - Nickname: `hit-test`
  - Available since: 2.52
`WEBKIT_XR_SESSION_FEATURES_LAYERS`

  WebXR Layers feature.

  - Value: `128`
  - Nickname: `layers`
  - Available since: 2.52